'use strict';

var RelatorioOcorrenciaController = angular.module('RelatorioOcorrenciaController', []);

RelatorioOcorrenciaController.controller('RelatorioOcorrenciaCtrl', ['$scope', '$filter', 'Relatorio', 'CacheApp',
  ($scope, $filter, Relatorio, CacheApp) => {
      $scope.construcao = CacheApp.getConstrucao();

      $scope.relatorio = {};
      $scope.relatorio.DataInicio = CacheApp.getData($scope.construcao.DataInicio ? $filter("date")($scope.construcao.DataInicio, 'yyyy-MM-ddT00:00:00Z') : $filter("date")(Date.now(), 'yyyy-MM-ddT00:00:00Z'));
      $scope.relatorio.DataFim = CacheApp.getData($scope.construcao.DataFim ? $filter("date")($scope.construcao.DataFim, 'yyyy-MM-ddT00:00:00Z') : $filter("date")(Date.now(), 'yyyy-MM-ddT00:00:00Z'));

      $scope.getRelatorioOcorrencia = () => {
          $scope.ocorrencias = [];
          Relatorio.getRelatorioOcorrencia($scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'),
              (data) => {
                  $scope.ocorrencias = data.Instance;
                  for (var i in $scope.ocorrencias) {
                    //   var dataHora = CacheApp.getData($filter("date")($scope.ocorrencias[i].Data, 'yyyy-MM-ddT00:00:00Z'));
                    //   $scope.ocorrencias[i].Data = new Date(dataHora.getTime() + (24 * (60 * 60 * 1000)));
                    $scope.ocorrencias[i].Data = CacheApp.getData($scope.ocorrencias[i].Data);
                  }
              });
      }
      $scope.getRelatorioOcorrencia();

      $scope.pdfRelatorioOcorrencia = () => {
          var cabecalho = {
              Avatar: $scope.construcao.ContaAvatar,
              Obra: $scope.construcao.Titulo,
              Conta: $scope.construcao.Conta,
              DataInicio: $filter("date")($scope.relatorio.DataInicio, 'dd/MM/yyyy'),
              DataFim: $filter("date")($scope.relatorio.DataFim, 'dd/MM/yyyy')
          };

          Relatorio.pdfRelatorioOcorrencia($scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'), cabecalho,
              (data) => {
                  window.location.assign(data.Instance);
              });
      }

  }]);
